%define upstream_name     Email-Simple
%define upstream_version 2.102

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Simple parsing of RFC2822 message format and headers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Email/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Email::Date::Format)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.470.0
BuildArch:  noarch

Obsoletes:  perl-Email-Simple-Creator <= 1.424.0
Provides:   perl-Email-Simple-Creator  = 1.424.0

%description
Email::Simple is the first deliverable of the "Perl Email Project", a reaction
against the complexity and increasing bugginess of the Mail::* modules. In
contrast, Email::* modules are meant to be simple to use and to maintain, pared
to the bone, fast, minimal in their external dependencies, and correct.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Email
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.102.0-2.mga3
+ Revision: 366859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 19 2012 shlomif <shlomif> 2.102.0-1.mga3
+ Revision: 272644
- update to 2.102

* Wed Jan 04 2012 jquelin <jquelin> 2.101.0-1.mga2
+ Revision: 190307
- update to 2.101

* Fri Jan 21 2011 jquelin <jquelin> 2.100.0-2.mga1
+ Revision: 29111
- mageia rebuild
- imported package perl-Email-Simple

